NNG_HTTP_REQ_GET_METHOD(3http)

NAME
nng_http_req_get_method - return HTTP request method

SYNOPSIS

    #include <nng/nng.h>
    #include <nng/supplemental/http/http.h>
    const char *nng_http_req_get_method(nng_http_req *req);

DESCRIPTION

The nng_http_req_get_method() returns the HTTP method associated with the request req. The value will be a string, such as "GET" or "POST".

RETURN VALUES

Request method as a string.

ERRORS

None.

SEE ALSO

nng_http_req_alloc(3http), nng_http_req_set_method(3http), nng(7)